kernel/kernel/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.conf.urls.i18n import i18n_patterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('i18n/', include('django.conf.urls.i18n')),
    path('accounts/', include('accounts.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
    path('panel/', include('panel.urls')),
    path('auth/', include('django.contrib.auth.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += i18n_patterns(
    path('', include('website.urls')),
)

kernel/panel/urls.py
from django.urls import path, re_path
from django.urls import reverse_lazy, reverse

from . import views

app_name = 'panel'
urlpatterns = [
    re_path(r'^$', views.PanelView.as_view(), name='index'),
]


# re_path(r'^registration/$', views.UserFormView.as_view(), name='registration')

kernel/website/urls.py
from django.urls import path, re_path

from .views import HomeView
from .views import AboutView
from .views import ContactView
from .views import ProductView
from .views import ProductDetailView
from .views import SlovakiProductDetailView
from .views import BlogView
from .views import BlogDetailView
from .views import SlovakiBlogDetailView
from .views import AwardsView


app_name = 'website'
urlpatterns = [
    re_path(r'^$', HomeView.as_view(), name='home'),
    # re_path(r'^/$', HomeView.as_view(), name='home'),
    # re_path(r'^home/$', HomeView.as_view(), name='home'),
    # re_path(r'^index/$', HomeView.as_view(), name='home'),
    re_path(r'^about/$', AboutView.as_view(), name='about'),
    re_path(r'^contact/$', ContactView.as_view(), name='contact'),
    re_path(r'^awards/$', AwardsView.as_view(), name='awards'),
    re_path(r'^products/$', ProductView.as_view(), name='products'),
    re_path(r'^product/(?P<sku>[A-Za-z0-9\-\_]+)/(?P<pk>\d+)$', ProductDetailView.as_view(), name='product'),
    re_path(r'^product/(?P<sku>[A-Za-z0-9\-\_]+)/sk/(?P<pk>\d+)$', SlovakiProductDetailView.as_view(), name='slovakiproduct'),
    re_path(r'^news/$', BlogView.as_view(), name='news'),
    re_path(r'^news/(?P<sku>[A-Za-z0-9\-\_]+)/(?P<pk>\d+)$', BlogDetailView.as_view(), name='post'),
    re_path(r'^news/(?P<sku>[A-Za-z0-9\-\_]+)/sk/(?P<pk>\d+)$', SlovakiBlogDetailView.as_view(), name='slovakipost'),
    
]

kernel/media/templates/partials/_banner.html
<header>
        <div class="jumbotron"></div>
    </header>

kernel/media/templates/partials/_footer.html
{% load i18n %}
{% get_current_language as LANGUAGE_CODE %}
<footer>
        <div class="container">
            <div class="col-md-3 col-sm-4 col-xs-6">
                <div class="row">
                    <h5>site map</h5>
                    <ul class="unstyled-list">
                        <li>
                            <a href="{% url 'website:home' %}">{% trans 'home' %}</a>
                        </li>
                        <li>
                            <a href="{% url 'website:about' %}">{% trans 'about' %}</a>
                        </li>
                        <li>
                            <a href="{% url 'website:contact' %}">{% trans 'contact' %}</a>
                        </li>
                        <li>
                            <a href="{% url 'website:news' %}">{% trans 'news' %}</a>
                        </li>
                        <li>
                            <a href="#">{% trans 'awards' %}</a>
                        </li>
                        <li>
                            <a href="{% url 'website:products' %}">{% trans 'products' %}</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-3 col-sm-4 col-xs-6">
                <div class="row">
                    <h5>awards</h5>
                    <ul class="unstyled-list">
                        {% if LANGUAGE_CODE == 'sk' %}
                            {% for award in slovaki_awards %}
                                <li>
                                    <a href="#">international trophy</a>
                                </li>
                            {% endfor %}
                        {% else %}
                            {% for award in awards %}
                                <li>
                                    <a href="#">international trophy</a> 
                                </li>
                            {% endfor %}
                        {% endif %}
                    </ul>
                </div>
            </div>
            <div class="col-md-3 col-sm-4 col-xs-6">
                <div class="row">
                    <h5>Products</h5>
                    <ul class="unstyled-list">
                        {% if LANGUAGE_CODE == 'sk' %}
                            {% for product in slovaki_products %}
                                <li><a href="{%  url 'website:product', sku = product.sku id = product.id) }}">{{ product.title }}</a></li>
                            {% endfor %}
                        {% else %}
                            {% for product in products %}
                                <li><a href="{%  url 'website:product', sku = product.sku id = product.id) }}">{{ product.title }}</a></li>
                            {% endfor %}
                        {% endif %}
                    </ul>
                </div>
            </div>
            <div class="col-md-3 col-sm-4 col-xs-6">
                <div class="row">
                    <h5>blog</h5>
                    <ul class="unstyled-list">
                        {% if LANGUAGE_CODE == 'sk' %}
                            {% for post in slovaki_news %}
                                <li><a href="{%  url 'website:post', sku = post.sku id = product.id) }}">{{ post.title }}</a></li>
                            {% endfor %}
                        {% else %}
                            {% for post in news %}
                                <li><a href="{%  url 'website:post', sku = post.sku id = product.id) }}">{{ post.title }}</a></li>
                            {% endfor %}
                        {% endif %}
                    </ul>
                </div>
            </div>
        </div>
    </footer>

kernel/media/templates/partials/_navigation.html
{% load static %}
{% load i18n %}

<nav class="navbar navbar-inverse">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"
                    aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>


            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li {% if title == "home" %} class="active" {% endif %}>
                        <a href="{% url 'website:home' %}">{% trans 'Home' %}
                            <span class="sr-only">(current)</span>
                        </a>
                    </li>
                    <li {% if title == "contact" %} class="active" {% endif %}>
                        <a href="{% url 'website:contact' %}">{% trans 'Contact' %}</a>
                    </li>
                    <li {% if title == "products" %} class="active" {% endif %}>
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">{% trans 'Products' %}
                            <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu multi-level">
                            <li>
                                <a href="{% url 'website:products' %}">{% trans 'all' %}</a>
                            </li>
                            {% for group in groups %}
                            <li>
                                <a href="{%  url 'home.productsGroup', group = group.name) }}">{{ group.name }}</a>
                            </li>
                            {% endfor %}
                        </ul>
                    </li>
                    <li class="no-hover">
                        <a href="/">
                            <img src="{% static 'site/images/logo.png' %}" alt="Behpack" />
                        </a>
                    </li>
                    <li {% if title == "about" %} class="active" {% endif %}>
                        <a href="{%  url 'website:about' %}">{% trans 'About' %}</a>
                    </li>
                    <li {% if title == "news" %} class="active" {% endif %}>
                        <a href="{%  url 'website:news' %}">{% trans 'News' %}</a>
                    </li>
                    <li {% if title == "awards" %} class="active" {% endif %}>
                        <a href="{% url 'website:awards' %}">{% trans 'Awards' %}</a>
                    </li>
                    <li style="margin-top: 20px;">

                        {% get_current_language as LANGUAGE_CODE %}
                        <form action="{% url 'set_language' %}" method="POST">
                            {% csrf_token %}
                            <input name="next" type="hidden" value="{{ request.get_full_path|slice:'3:' }}" />
                            <select  name="language" id="" onchange="this.form.submit()">
                                {% get_available_languages as LANGUAGES %}
                                {% get_language_info_list for LANGUAGES as langs %}
                                {% for language in langs %}
                                    <option value="{{ language.code }}" {% if language.code == LANGUAGE_CODE %} selected {% endif %}>
                                        {{ language.name_local }} ({{ language.code }})
                                    </option>
                                {% endfor %}
                            </select>
                        </form>


                    </li>
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>

kernel/media/templates/partials/_seo.html
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-120571318-1"></script>
<script>
    window.dataLayer = window.dataLayer || [];

    function gtag() {
        dataLayer.push(arguments);
    }
    gtag('js', new Date());

    gtag('config', 'UA-120571318-1');
</script>


<!-- Google Tag Manager -->
<script>
    (function (w, d, s, l, i) {
        w[l] = w[l] || [];
        w[l].push({
            'gtm.start': new Date().getTime(),
            event: 'gtm.js'
        });
        var f = d.getElementsByTagName(s)[0],
            j = d.createElement(s),
            dl = l != 'dataLayer' ? '&l=' + l : '';
        j.async = true;
        j.src =
            'https://www.googletagmanager.com/gtm.js?id=' + i + dl;
        f.parentNode.insertBefore(j, f);
    })(window, document, 'script', 'dataLayer', 'GTM-PXCFRV8');
</script>
<!-- End Google Tag Manager -->